program BugDemop;


type
  CClass    = set of Char;
  CClassPtr = ^CClass;
  IntSet(max_elems: integer)= array [0..max_elems] of Integer;
    (* word 0 is size *)
  IntSetPtr = ^IntSet;

const
  max_trans =  100;

type
  TransTableEntry = record
                      cc : CClassPtr;
                      (* characters of transition *)
                      follow_pos      : IntSetPtr;
                      (* follow positions (positions of next state) *)
                      next_state      : Integer;
                      (* next state *)
                    end;

  TransTable = array [1..max_trans] of TransTableEntry;

var
  trans_table : ^TransTable;      (* DFA transition table *)
  i           :  integer;


begin
  trans_table^[1].follow_pos^ := trans_table^[1].follow_pos^;
end.
